Subject: Re: tb/midx-bitmap-corruption-fix

From: Junio C Hamano <[email-masked]>
Date: Tue, 04 Jan 2022 12:13:39 -0800

Taylor Blau <[email-masked]> writes:

> On Mon, Jan 03, 2022 at 07:46:46PM -0800, Junio C Hamano wrote:
>> * tb/midx-bitmap-corruption-fix (2021-12-23) 9 commits
>>  - midx: read `RIDX` chunk when present
>>  - t/lib-bitmap.sh: parameterize tests over reverse index source
>>  - t5326: move tests to t/lib-bitmap.sh
>>  - t5326: extract `test_rev_exists`
>>  - t5326: drop unnecessary setup
>>  - pack-revindex.c: instrument loading on-disk reverse index
>>  - midx.c: make changing the preferred pack safe
>>  - t5326: demonstrate bitmap corruption after permutation
>>  - Merge branch 'tb/cruft-packs' into tb/midx-bitmap-corruption-fix
>>  (this branch uses tb/cruft-packs.)
>>
>>  A bug that made multi-pack bitmap and the object order out-of-sync
>>  (hence the .midx data gets corrupted) has been fixed.
>>
>>  What's the status of this thing?
>>  source: <[email-masked]>
>
> I have a small reroll that I'll send shortly which contains a minor
> fixup and one new patch on top.
>
> I'm assuming that the "uses tb/cruft-packs" is related to the two topics
> both squatting on t5327's real estate?

It refers to the fact that the patches of this topic are queued on
top of a merge of that branch into (back-then-current) master, as
they didn't cleanly apply to (back-then-current) master.

> Otherwise, the version I am going to send is based off of dcc0cd074f
> (The sixth batch, 2022-01-03) in your tree, so it should apply cleanly
> onto master without the other topic.

OK.